com.gisgraphy.helper

## Class GisHelper

- java.lang.Object
- - com.gisgraphy.helper.GisHelper

-     public class GisHelper
      extends Object

  Provides useful methods for geolocalisation
  Author:
    David Masclet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger` The logger

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GisHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getBoundingBox(String alias, double latInDegree, double longInDegree, double distance)`
    `static Class<? extends GisFeature>` | `getClassEntityFromString(String classNameWithoutPackage)` Return the class corresponding to the specified String or null if not found.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

      The logger

  - ### Constructor Detail

    - #### GisHelper

          public GisHelper()

  - ### Method Detail

    - #### getClassEntityFromString

          public static Class<? extends GisFeature> getClassEntityFromString(String classNameWithoutPackage)

      Return the class corresponding to the specified String or null if not found. The Class will be searched in the 'entity' package. The search is not case sensitive. This method is mainly used to determine an entity Class from a web parameter
      Parameters:
        `classNameWithoutPackage` - the simple name of the Class we want to retrieve
      Returns:
        The class corresponding to the specified String or null if not found.

    - #### getBoundingBox

          public static String getBoundingBox(String alias,
                              double latInDegree,
                              double longInDegree,
                              double distance)

      Parameters:
        `alias` - the sql alias
        `latInDegree` - the latitude in degree
        `longInDegree` - the longitude in degree
        `distance` - the boundingbox distance
      Returns:
        a sql String that represents the bounding box

Copyright © 2015. All rights reserved.